> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# Ticketing

> Ticketing API overview. Covers base URL, authentication, SDKs, rate limits, sync frequency, and available Common Models for tickets, comments, and project management data.

---

## Base API URL

All API endpoints in the reference documentation are relative to the following base URL:

```
https://api.merge.dev/api/ticketing/v1
```

If you are using our EU tenant, all API endpoints in the reference documentation are relative to the following base URL:

```
https://api-eu.merge.dev/api/ticketing/v1
```

If you are using our APAC tenant, all API endpoints in the reference documentation are relative to the following base URL:

```
https://api-ap.merge.dev/api/ticketing/v1
```

---

## Authentication

When making requests to Merge's Unified API, you will need to include proper authentication parameters in the headers for every request to Merge's API to identify yourself as an authorized user.

### Header parameters

**`Authorization`** `string`

Token-based authentication with required prefix "Bearer". [View guide](/basics/authentication/#api-key)

---

**`X-Account-Token`** `string`

Token identifying the end user. This is only required for requests for data specific to a Linked Account. [View guide](/basics/authentication/#account-tokens)

---

```bash
curl --location 'https://api.merge.dev/api/ticketing/tickets' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{production-key}}' \
--header 'X-Account-Token: {{account-token}}'
```

---

## Merge SDKs

Streamlined way to use Merge APIs, starting with reducing the boilerplate code you have to write. You can find the installation and usage instructions for all of our available SDK's [here](/merge-unified/hris/merge-api-basics/sdks).

### Popular SDKs

* [Node](https://github.com/merge-api/merge-node-client/)
* [Java (JVM)](https://github.com/merge-api/merge-java-client/)
* [Python](https://github.com/merge-api/merge-python-client/)
* [Go](https://github.com/merge-api/merge-go-client/)
* [Ruby](https://github.com/merge-api/merge-ruby-client/)

---

## Syncing data

To pull data from Merge into your app, we recommend a combination of webhooks and polling. See our [syncing data guide](/merge-unified/reading-data/syncing-best-practices) for more information.

### Query parameters

#### GET /\{endpoint}?modified\_after=\{timestamp}

Only pull data that has been changed or created since your last sync began. For example, you can ask for `modified_after=2021-03-30T20:44:18`, and only pull items that are new or changed.

#### GET /\{endpoint}?expand=\{model\_name}

If you expand fields on a Common Model, you will receive data for entire related objects rather than just the IDs of those objects. For example, if you are querying for candidates and also want details about associated applications, you can `expand=applications`, and Merge will return the actual application objects instead of just the `application_ids`.

### Rate limits

API requests to Merge's Unified API are rate limited to the following **per Linked Account** (as identified by the `account_token` attached to the request):

* Launch: 100 / minute (per Linked Account)
* Professional: 400 / minute (per Linked Account)
* Enterprise: 600 / minute (per Linked Account)

For example, if you have 10 customers, the rate limits above would **apply to each one separately**. Some endpoints may have different rate limits as specified throughout the API reference.

### Sync frequency

Sync frequency is the rate at which Merge initiates requests to fetch data from third-parties. Actual time to complete a sync can vary depending on the third-party. You can view your sync frequency in the [Billing](https://app.merge.dev/billing) page of your Merge dashboard. [Contact us](mailto:support@merge.dev) for more information.

Sync frequency tiers:

* **Highest**: Data syncs at the highest frequency supported by Merge (automatic).
* **Daily**: Data syncs every 24 hours (automatic).
* **Monthly / Quarterly**: Data syncs at a reduced cadence. Available for specific use cases.
* **Manual**: Trigger syncs on-demand via the dashboard or API.

---

**Testing via Postman**: Use Merge's [public Postman workspace](https://www.postman.com/mergeapi/workspace/merge-public-workspace/overview) to test API calls. See the [Postman testing guide](/guides/testing-via-postman/).

**Supported integration fields**: See which fields are supported for each integration at [https://docs.merge.dev/integrations/ticketing/supported-fields](https://docs.merge.dev/integrations/ticketing/supported-fields)

---

**Related use cases:**

* [Track compliance](/merge-unified/use-cases/track-compliance)
* [Analyze projects](/merge-unified/use-cases/analyze-project-status)
* [Track contracts](/merge-unified/use-cases/track-contracts)
  See all use cases at /merge-unified/use-cases